// Copypasted from Dynare's guide for this particular testcase

// ----- Preamble -----
var k l z y c i /*y_l*/ w r;
 
varexo e;

parameters beta psi delta alpha rho sigma epsilon;
alpha = alpha_p;
beta = 0.98;
delta = 0.023;
psi = 1.75;
rho = 0.95;
sigma = (0.007/(1-alpha));
epsilon = 10;


// ----- Model -----
model;

(1/c) = beta*(1/c(+1))*(1+r(+1)-delta);
psi*c/(1-l) = w;
c+i = y;
z = rho*z(-1)+e;
y = (k(-1)^alpha)*(exp(z)*l)^(1-alpha);
w = y*((epsilon-1)/epsilon)*(1-alpha)/l;
r = y*((epsilon-1)/epsilon)*alpha/k(-1);
i = k-(1-delta)*k(-1); 

end;



// ----- Steady State -----

// almost the exact result
initval;
k = 9;
c = 0.7;
l = 0.3;
w = 2.0;
r = 0;
z = 0;
e = 0;
end;

// calculate steady state and set it as the starting point for impulse responce functions
steady;

// Blanchard-Kahn condition check
check;


// ----- Impulse-Responce -----

// shocks
shocks;
var e; stderr 1;
end;


// stoch_simul(order = 1) k l z y c i; //y c;